GWT 2.7.0

## com.google.gwt.cell.client
Interface HasCell<T,C>

Type Parameters:
  `T` - the underlying data type
  `C` - the cell data type

All Known Implementing Classes:
  Column, IdentityColumn, TextColumn

    public interface HasCell<T,C>

An interface for extracting a value of type C from an underlying data value of type T, provide a `Cell` to render that value, and provide a `FieldUpdater` to perform notification of updates to the cell.

Method Summary
`Cell<C>` | `getCell()` Returns the `Cell` of type C.
`FieldUpdater<T,C>` | `getFieldUpdater()` Returns the `FieldUpdater` instance.
`C` | `getValue(T object)` Returns the value of type C extracted from the record of type T.

Method Detail

### getCell

    Cell<C> getCell()

  Returns the `Cell` of type C.

  Returns:
    a Cell

### getFieldUpdater

    FieldUpdater<T,C> getFieldUpdater()

  Returns the `FieldUpdater` instance.

  Returns:
    an instance of FieldUpdater<T, C>

### getValue

    C getValue(T object)

  Returns the value of type C extracted from the record of type T.

  Parameters:
    `object` - a record of type T
  Returns:
    a value of type C suitable for passing to the cell

GWT 2.7.0